MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003978ATutorPretty Urlpublic2009-10-26 11:092009-12-16 03:59
Reporterharris 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0003978: Search engines not able to cache the page
DescriptionReported by Vegard:

http://atutor.server/atutor/slug [^]

you are immediately redirected to:

http://atutor.server/atutor/slug/ib/1 [^]

..so the /ib/1 part is added to the URL. I remember I got this fix
from you, and I believe it fixed something with links to public tests.

However, that last URL will give you a blank page if no session cookie
is set. this created the situation here that when owners of public
courses wanted to share the link to their course they went to the
front page, the ib/1 URL was set, they copied this and sent around,
and the people clicking it got a blank page, as they did not have any
session cookie set.

neither the fix nor the original files has fixed the issue
that no ATutor pages are not accessible by seach engines, and no
content is indexed.

see: http://www.google.no/search?hl=no&client=firefox-a&rls=org.mozilla:en-US:official&q=site:http://www2.helsekompetanse.no/atutor&start=70&sa=N [^]

(a google search for site:http://www2.helsekompetanse.no/atutor [^]),
notice all the indexed files who say "missing content".
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003696closedharris Pretty URL and Public tests redirected 

-  Notes
(0003811)
harris (developer)
2009-10-26 11:42

User-Agent: Chrome/Mozilla/Opera/IE works

User-Agent: lwp-request/2.07 fails
Session is not set. If session hasn't been set, then all $_SESSION[]=0. Then basically everything fails. Resulting a page not found.
(0003941)
greg (administrator)
2009-12-01 09:19

bump
(0003946)
cindy (administrator)
2009-12-03 08:08

SVN revision: 9000

Solution: When the url to access a public course is in pretty url format, append "/course/$course_id" into url. Use the pass-in $course_id instead of $_SESSION['course_id'] in all scripts that are related to course index page and content page. Please note that the fix only applied to these 2 type of pages. The fixes for other modules like "forum" will be gradually applied if this solution works well.

Affected scripts:
bounce.php
index.php
include/vitals.inc.php
include/header.inc.php
include/side_menu.inc.php
include/classes/ContentManager.class.php
include/html/dropdowns/poll.inc.php
include/html/dropdowns/posts.inc.php
include/html/dropdowns/users_online.inc.php
themes/blumin/include/header.tmpl.php
themes/blumin/include/side_menu.tmpl.php
themes/default/include/header.tmpl.php
themes/default/include/side_menu.tmpl.php
themes/default_classic/include/header.tmpl.php
themes/fluid/include/header.tmpl.php
themes/greenmin/include/header.tmpl.php
themes/greenmin/include/side_menu.tmpl.php

- Issue History
Date Modified Username Field Change
2009-10-26 11:09 harris New Issue
2009-10-26 11:09 harris Affects version => SVN
2009-10-26 11:09 harris Relationship added related to 0003696
2009-10-26 11:42 harris Note Added: 0003811
2009-11-05 09:39 greg Status new => assigned
2009-11-05 09:39 greg Assigned To => harris
2009-12-01 09:19 greg Note Added: 0003941
2009-12-01 10:06 cindy Assigned To harris => cindy
2009-12-03 08:08 cindy Status assigned => resolved
2009-12-03 08:08 cindy Fixed in Version => 1.6.4
2009-12-03 08:08 cindy Resolution open => fixed
2009-12-03 08:08 cindy Note Added: 0003946
2009-12-16 03:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker